jump to navigation

Instalar Beryl + AIglx en Ubuntu 6.10 con ATI 1/02/2007

Posted by JACB in Beryl, GNU/Linux, Linux, OpenSource, Sistemas operativos, Software, Tutoriales, Ubuntu.
trackback

ATENCION, En estos momentos estoy escribiendo nuevos tutoriales, que publicaré en breve, y que estarán totalmente actualizados para instalar Beryl en XGL, AIGLX, ATI y NVIDIA.

Antes de iniciar el procedimiento aquí mostrado, asegurate de seleccionar el procedimiento mas apropiado para tu tarjeta gráfica.
La inminente liberación de ubuntu 6.10 edgy eft trae entre otras cosas, soporte para aiglx, que permite tener un compositor glx acelerado, esto es en pocas palabras tener un compositor de aceleración por hardware con direct rendering.

Beryl en Ubuntu 6.10

Este tutorial Funciona tanto para ubuntu como para Kubuntu!
¿Que?

La instalación con una tarjeta ATI es mas sencilla de lo que pensé, pero tiene algunos contras: al parecer solo funciona con el driver Open Source Radeon (!). Si, el driver libre tiene las extensiones necesarias para trabajar con aiglx, pero el driver fglrx no. Posteriormente hablaremos de esto, por ahora que tarjetas son soportadas por este driver?

La lista de tarjetas soportadas por el driver radeon está aqui, y es a grandes razgos, de radeon 7000 hasta x850 y posiblemente otras mas. (para detalles específicos revisen el wiki). Debo advertir que la velocidad es algo menor que con el driver fglrx de ATI y con XGL, pero tenemos la ventaja de que podemos desactivar beryl en cualquier momento y regresamos a nuestra sesion de Metacity con aceleración gráfica normal (de hecho, nunca la perdemos).

Además, es la forma mas segura de probar Beryl y talvez la única para muchas tarjetas anteriores a la Radeon 9550.

¿Como?

La instalación es muy sencilla, si hiciste una instalación fresca de ubuntu edgy, ya tienes el driver “ati”, y podrás continuar sin problema al punto 3. Si ya instalaste el driver fglrx de los repositorios, instalaste los drivers oficiales de ati o hiciste una actualización desde dapper talvez no lo tengas, asi que deberás primero:

1) Abrir synaptic, buscar todo lo que se vea, suene o huela a fglrx, incluido linux-restricted-modules! (si tienes otros componentes que requieran los restricted modules, talvez necesites deshabilitar el driver fglrx, mira las notas al final)y eliminalo. Esto es necesario porque si existe rastro de fglrx en el sistema, el driver libre no puede tomar el control

2) instalar el driver libre radeon:

sudo apt-get install xserver-xorg-video-ati

3) editar xorg.conf y colocar en la seccion device el driver “radeon”:

sudo gedit /etc/X11/xorg.conf

busca la sección Device y cambia el driver para que ahora sea “radeon”; el Identifier no lo muevas, como tampoco debes mover el BusID. Agrega las tres opciones que se muestran despues. Deberá verse parecido a esto:

Section "Device"
Identifier “ATI Technologies, Inc. RV350 AS [Radeon 9600]”
Driver “radeon”
BusID “PCI:1:0:0″
Option “UseFBDev” “true”
Option “EnablePageFlip”
Option “ColorTiling”
EndSection

4) Reinicia. recuerda si tienes hardware dependiente de restricted modules como tarjetas wireless esta dejara de funcionar, asi que antes de quitar el driver lee las notas al final.
5) Si no lo tenías, instala Beryl.

Primero necesitas tener los repositorios de Beryl:

ejecuta:

sudo gedit /etc/apt/sources.list

ahi agrega alguna de estas líneas (son espejos unas de otras, solo necesitas una):

deb http://www.beerorkid.com/compiz edgy main-edgy
deb http://media.blutkind.org/xgl/ edgy main-edgy
deb http://compiz-mirror.lupine.me.uk/ edgy main-edgy
deb http://ubuntu.compiz.net/ edgy main-edgy

Si tienes una AMD64 agrega ‘ main-edgy-amd64′ al final de la línea ;-)
guarda el documento y cierralo.

ahora ejecuta alguna de estas líneas para que :

wget http://www.beerorkid.com/compiz/quinn.key.asc -O - | sudo apt-key add -
wget http://media.blutkind.org/xgl/quinn.key.asc -O - | sudo apt-key add -
wget http://compiz-mirror.lupine.me.uk/quinn.key.asc -O - | sudo apt-key add -
wget http://ubuntu.compiz.net/quinn.key.asc -O - | sudo apt-key add -

ahora actualizamos con un:

sudo apt-get update

Con esto ya puedes instalar Beryl:

sudo apt-get install beryl emerald emerald-themes

Si, solo eso! (almenos aca funcionó asi sin mayor problema)

6) agrega a los programas de inicio beryl-manager (sistema/preferencias/sesiones/programas al inicio).

Si quieres probar de una vez, ejecuta en la terminal

beryl-manager

Deberá aparecer en la bandeja del sistema el icono de Bberyl. puedes dar click en el y en “seleccionar manejador de ventanas” escoger Beryl.

Si todo funciona, perfecto! ya lo tienes instalado y funcionando )

Notas:

1) Si no quieres desinstalar linux-restricted-modules, puedes deshabilitar el modulo fglrx, para eso ejecuta:

sudo gedit /etc/default/linux-restricted-modules-common

y al final del archivo la linea que dice :

DISABLED_MODULES=””

cambiala por:

DISABLED_MODULES=”fglrx”

2) El video no funciona o es muy entrecortado. Asi es, el Driver no es lo mejor que hay, pero puedes cambiar a metacity con un solo click sin tener que cerrar ninguno de los programas que tienes abiertos )

3) Todo esta muy lento (

El driver Radeon tiene menor velocidad para ciertas tareas que el driver fglrx, pero tiene las extensiones necesarias para aiglx. Aunque logré hacer funcionar xgl en edgy, me dio muchos problemas y no se si esa situación mejore, de momento llevo varias horas con aiglx y me parece mejor aunque la velocidad no sea tan espectacular. Algunas tarjetas tienen mejor soporte que otras, de nuevo, revisa las notas en el wiki del driver.

4) Si modificaste mucho tu xorg.conf despues de actualizar a edgy, talvez debas verificar si aun tienes esta sección al final de xorg.conf:

Section "Extensions"
Option “RENDER” “0″
EndSection

Si la tienes y dice “true” talvez provoque parpadeos…
El comportamiento de esta opcion no lo he podido determinar con exactitud, pero en mi tarjeta ati radeon 9550 hizo que se arreglaran los parpadeos.
5) comenta!

* Tutorial rescatado del blog de nuestro querido amigo fredcpp, que cerró su blog definitivamente.

Comentarios»

1. javier - 5/02/2007

Has porbado a hacer esta instalacion con una nvidia? Todos los manuales que he visto por ahi me han dado problemas.

A ver si me puedes ayudar🙂

2. JACB - 5/02/2007

Si, yo lo tengo instalado seg’un este mismo tutorial…

Es cierto que algunos tutoriales dan problemas, espero que ‘este no te de ninguno.

El principal problema de todos los tutoriales es la activaci’on de la aceleraci’on g’rafica, puesto que los drivers de NVIDIA tienen alguna dificultad en su instalaci’on.

Por cierto, este manual es para ATI, el de nvidia est’a aqu’i

https://ayudalinux.wordpress.com/2007/02/01/instalar-beryl-aiglx-en-nvidia-y-ubuntu-610/

Tal y como pone en ese tutorial, recuerda hacer una copia de seguridad de tu xorg.conf antes de instalarlo, as’i que algo sale mal, restaurando ese archivo todo volver’a a ser como antes…

Un saludo, y espero que no te de muchos problemas el driver de nvidia.

3. DjNeTisra - 10/02/2007

A mi me esta funcionando AIGLX + Beryl sin problema alguno usando los controladores “opensource” (la radeon).😀

Ya que con la XGL usando los controladores FGLRX me ha causado demasiados reinicios del Xserver.

Estoy usando una Radeon 9200 de 128MB.

4. JACB - 10/02/2007

Claro, siempre que tengas controladores (funcionales), es recomendable instalarlos en vez de XGL.

En el caso de las NVIDIA, ya todos los controladores están en su versión final, el problema es su instalación que deberían hacerla “más amigable”.

Nunca he tenido una ATI, así que no sé exactamete qué tal funcionarán los drivers y los problemas que puedan causar…

Saludos,

5. Gadual - 11/02/2007

hola , estoy usando ubuntu 6.10 edgy , pero mi tarjeta es una ati radeon IGP 345M con 64 mb ram (compartida) , pues la reconoce y solo me hace falta repositorios y la firmas para que pueda bajar Beryl , pero pues los repositorios y las firmas que tienes , pues me sirven , dice que no se encuentran , pero alguien me ayude con esto , saludo bye….😉

6. JACB - 12/02/2007

Si te reconoce la gráfica es posible que no necesites instalar los drivers. Escribe en un terminal “glxinfo”, y comprueba si en “Direct Rendering” (está arriba del todo), pone YES o NO.

Si pone YES ya puedes instalar Beryl, porque tienes la aceleración gráfica activada. Si pone NO, deberás instalar los drivers.

Comprueba también si tu gráfica está soportada:

http://dri.freedesktop.org/wiki/ATIRadeon

(La página es esa, pero parece que está fuera de servicio de momento)…

7. vedbo - 12/02/2007

ami en el paso al final kuando me dice de instalarlo me dice que no encuentra el paquete (e seguido los pasos paso a paso) alguna sugerencia de xk puede pasar i cm solucionarlo.
gracias

8. JACB - 13/02/2007

¿Qué paquete te dice que falta?

Comprueba que estén todos escritos correctamente y que los repositorios están agregados y activados.

Para comprobarlo mejor, entra en Synaptic y dale a buscar, para ver si lo encuentra. Si lo encuentra, instálalo desde Synaptic.

Un saludo, si te sigue pasando díme el nombre del paquete que falta y lo buscaré, por si lo han borrado del repositorio…

9. macoseta - 23/02/2007

Holaaaaa Buenassss!
Primeramente Gracias por la guia!!
La verdad es que tenia un lio con instalar XGL,AIGLX o ATI.He instalado tal y como dices el driver “radeon” y he deshabilitado la opcion fglrx, además en:

Section “Extensions”
Option “RENDER” “0″
EndSection

Yo antes tenia Option “Composite” “Enable” pero lo he cambiado como comentas tu por “RENDER” “0” (por si acaso me iban a salir parpadeos xDD), almenos ya no me da error pero al iniciar beryl desaparecen los iconos y carpetas del escritorio como si quisiera iniciarse pero se queda todo bloqueado. Desde la terminal beryl-manager me dice que se inican AIGLX y ahí se queda…alguna idea? Pruebo de desinstalar linux-restricted-modules?

Mi grafica es una Radeon 9200 de 128 Mb

Gracias de antemano y un saludo JACB!

10. macoseta - 23/02/2007

Se me olvidabaaaa! Estoy usando la ultima Ubuntu ultimate 1.1🙂

11. macoseta - 23/02/2007

uissssssss he desinstalado linux restricted modulesss y casi lo consigoooo se me ha ido la pantalla y me salia beryl en grande pero seguida se ha reiniciado, en la terminal me ha dicho esto:

lib gl warning 3d driver claims to no support visual 0x4b

Helllppp que estoy apunto de conseguirlo!!!

12. FERNANDO - 1/03/2007

HOLA YA HICE UN CHINGO DE INSTALACIONES PERO NO ME QDA COMO AGO LA ACELERACION GRAFICA Y COMO AGO PAR AQ BERYL CORRA PERO Q ME SALAG EL MENSAJE DE BERYL LA VENTANITA SIEMPRE Q AGO LA ACELERACION MODIFICO EL XORG Y EN LA MADRE AL REINICIAR MI PC SE PONE LA PANTALLA EN NEGRO INSTALO BERYL XGL PERO NO SE CUAL SEA MEJOR CORRE PERO NO SIENTO Q CORRA BIEN NO SALE LA VENTANITA DE BERYL MI TARJETA ES UNA 9200 SE

13. JACB - 1/03/2007
14. Guz - 5/03/2007

Yo pierdo el direct rendering al instalar el AIGLX…

15. JACB - 5/03/2007

El AIGLX viene ya con Ubuntu edgy, no hay que instalarlo.

Si ya tienes direct rendering (aceleración gráfica), no es necesario este tutorial, simplemente instala Beryl desde Synaptic o aptitude.

Si ya tenías la aceleración y se perdió, intenta restaurar alguna copia antigua de tu xorg.conf.

Por último, este tutorial está un poco desfasado (sólo es válido para tarjetas antiguas y versiones anteriores de Beryl). Prueba con éste:

https://ayudalinux.wordpress.com/2007/02/25/instalar-xgl-beryl-en-ubuntu-610-muy-facilmente-con-ati-actualizado/

Un saludo,

16. Martin - 7/03/2007

mi tarjeta es una ATI Rage 128 Pro Ultra TF… y mi pregunta es si soporta beryl… la verdad soy nuevo en esto. de antemano gracias

17. JACB - 7/03/2007

Sí, está soportada, pero para activar la aceleración gráfica usa este tutorial:

http://www.linuzeros.org/foro/viewtopic.php?t=94

Con eso tendrás instalados los drivers de tu gráfica. Después puedes instalar Beryl tal y como sale en este tutorial. (Continua desde el paso 5).

18. Hernan - 8/03/2007

Muy buen tutorial, hace rato que estoy tratando de hacer andar beryl y este tutorial es el unico que me funciono. Si anda un poco lento pero debe ser porque mi placa es una Radeon 7500 de 32MB. Y me sigue dando el warning “libGL warning: 3D driver claims to not support visual 0x4b” que no se que es, pero funciona.

19. usr - 8/03/2007

Hola.

A mí también me da ese aviso: “libGL warning: 3D driver claims to not support visual 0×4b”, pero no es problema de Beryl. Debe ser algún fallo de los drivers. Creo que con la versión de Dapper no me daba el aviso.

Muy bueno el tutorial, hacía que no probaba esto desde Junio (XGL+Compiz)

Saludos.

20. JACB - 8/03/2007

Hernan, bueno, la verdad es que con 32 MB es normal que vaya lento. Puedes bajarle un poco la calidad de las texturas y te irá mejor. (Si no están ya al mínimo).

Por lo menos te funciona, si llega a ser Vista probablemente ni arrancaría😛

usr, en efecto, es un problemilla de compatibilidad con el driver, pero funciona perfectamente.

21. :P graciassss - 18/03/2007

y como regreso a metacity?

22. jc_sandrea - 21/03/2007

JACB, saludos.
Muy bueno el tutorial y es el unico que me ha funcionado aunque funciona un poco lento poseo un pentium 4 1.6GHz, 1.5 GB ram y un ati radeon saphire 9250. Puedo mejorar la velocidad?
Y otra duda instale el kiba-dock pero luego lo desinstale pero ahora no veo la “barra de tareas” (no se como se llama en ubntu).

23. jc_sandrea - 21/03/2007

Con la barra de tarea me refiero a la de abajo.
Ah y al chamo que pregunta lo del metacity regresas haciendo click en el icono de beryl en la bandeja (Por donde esta la fecha) seleccionas “Select window manager” y luego “Metacity”.

24. JACB - 21/03/2007

Para regresar a Metacity, haz clic derecho en el icono de Beryl que aparece al lado del reloj, y la opción “Seleccionar gestor de ventanas/Metacity”.

jc_andrea, comprueba si la barra no se ve (porque se ha bajado o algo), o se ha borrado.

Si se ha borrado, puedes crear un nuevo panel y añadirle los iconos que tuvieran antes, normalmente son:

– Mostrar escritorio
– Lista de ventanas
– Cambiador de áreas de trabajo
– Papelera

Haz clic derecho en una de las barras que tengas (si tienes la de arriba aún), y selecciona Panel Nuevo, y le agregas esos elementos.

25. jc_sandrea - 22/03/2007

gracias gracias JACB ya tengo la barra lo unico que no consigo resolver es el problema de la velocidad…

26. JACB - 22/03/2007

Pues es muy raro que te vaya lento con ese ordenador…

Tal vez bajándole un poco el filtro de textura (ponlo en Rápido), te mejore el rendimiento, pero es muy raro que te vaya lento.

De todas formas, por lo que he leído, el rendimiento en las gráficas ATI es muy malo…

27. aritz - 28/03/2007

Hola, a mi me pasa lo siguiente. Despues de instalar Beryl correctamente ejecuto “beryl manager” y me manda al inicio de sesion sin que el programa haga efecto. Gracias y un saludo

28. usr - 28/03/2007

Hola.
De los que he leído, este es el único tutorial que me ha funcionado sin problemas. Un saludo y gracias al autor.

29. JACB - 29/03/2007

aritz, escribe “beryl-manager”, con el guión y sin las comillas.

30. Jva - 5/04/2007

Hola, despues de instalar y usar beryl durante unas horas se me colgo el sistema y al reiniciar el ordenador no puedo cmbiar la resolucion de la pantalla mas alla de 800×600 cuando antes si podia a 1600×1024.

Tengo un amd 64bit y una ati x550.

31. Miquel - 5/04/2007

Hola, hace 3 días que tengo Ubuntu 6.10 y es la primera vez que pruebo linux (por el momento me encanta).

Tengo una pregunta sobre este tutorial. Me consta que tengo la aceleración 3D activada (con una tarjeta ATI X200M) después de haber utilizado el programa de configuración automática Envy. Tenía la intención de probar Beryl y ver que tal iba, pero ahora me surge la duda de si el driver que me instaló ese programa era el open source o el fglrx, que por lo que dices no funciona con beryl. ¿Podrías decirme un modo de comprobar cual de los dos tengo?

Sospecho que el “malo”, por que el Envy se conectó a la web de ATI y los bajó de allí, pero me gustaría saberlo con seguridad. Si es así intentaré cambiarlo al “open source”, aúnque me da pánico porque ya me he “cargado” el sistema una vez y he tenido que reinstalarlo todo (lo cual no es demasiado grave, tardé poquito).

Bueno, muchísimas gracias.

Miquel

32. JACB - 6/04/2007

Bueno, primero sólo decir que este tutorial ya está algo desfasado, dado que ya publiqué los nuevos. Además, creo que el driver fglrx ya funciona con Beryl.

Bueno, lo que puedes hacer es comprobar si tienes aceleración gráfica. Para ello escribe en un terminal “glxinfo”, y mira en el principio del mensaje que sale a ver que pone en “Direct Rendering”. Si pone YES, podrás instalar Beryl sin problemas.

Para comprobar si tienes fglrx, lo mejor que se me ocurre es que busques en Synaptic a ver si lo tienes instalado, o ver en el xorg.conf a ver qué controlador está usando.

Jva, eso es muy extraño😛 . Mira en el xorg.conf a ver las resoluciones que aparecen como soportadas por tu gráfica, para ver si están correctas. Si te animas, puedes intentar agregarlas tú manualmente al archivo.

Aunque lo que más te recomiendo es que busques alguna copia de seguridad anterior e intentes restaurarla.

Saludos,

33. Taquillea con tu Escitorio « Altamente Nocivo - 18/04/2007

[…] Para los que tienen tarjeta ATI >>> Pincha acá  […]

34. peyeman - 20/04/2007

yo ya tengo la tarjeta 3d actualizada pues eso dijo yqe no nesesito de mas pero cuando instalo beryl me dice linux que no puede leer este tipo de fichero la verdad no se que hacer por que soy nuevo en esto acavo de llegar de windows y pues ni savia que en linux para instalar algo tocava hacer tantas vueltas la verdad es mas difisil que en windows pero he visto los videos de beryl y la verdad vale la pene todo este esfuerso solo queria saver como le hago pa que linux me lea este tipod e fichero y poder instalarlo gracias

35. JACB - 22/04/2007

Hola,

Peyeman, no sé a qué tipo de archivo te refieres…

Saludos,

36. Gosku - 6/05/2007

Hola. Me gustaría saber si este tutorial es válido para la 7.04, que salió hace algunas semanas…

37. TartaCan - 18/05/2007

Hola! estoi instalando el maravilloso Beryl, pero tengo problmas. Despues de instalar los driver genericos de mi ati x1600. Despues de instalar Beryl, lo cargo y si lo activo me salta el entorno grafico de emergencia. Si le desactivo la opcion lanazar gestor de ventanas si Beryl falla, no pasa nada, osea,que supuestamente estoi en Beryl pero los efectos no se producen y el cubo tampoco sale. Necesito alluda porfavor.
Gracias, saludos y enarobuena por la pagina.

38. troin - 28/05/2007

Aunque los drivers libres no vayan tan chanantes como los privativos… debo reconocer que llevaba buscando mucho tiempo la forma de hacer que funcionase con el composite y AIGLX sin el XGL.

bravo! un 10 !!!
ahora falta q los de ATI se curren sus drivers y los mejoren para los usuarios de gnu linux🙂

39. Julio - 31/05/2007

Buen dia, pues será que soy nuevo pero no encuentro la seccion”device” y mucho menos la de “driver”, apenas entro al xorg.conf, le doy abrir y solo visualizo “dev” y casualmente adentro esta un”dri” pero dentro de eso no hay nada…alguien me puede ayudar?????
Saludos

40. Taquillea con tu Escitorio - 20/08/2007

[…] Para los que tienen tarjeta ATI >>> Pincha acá […]

41. derlorBrure - 26/10/2008

Heh. Nice. Are you encouraging my gorgeous fax Fresh joke! Did you hear about the bandit that held up a Chinese restaurant? Half an hour later he was broke.


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: